
%global meadversion 25.0.0
%global namedversion 25.0.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}guava-libraries}
%{!?scl:%global pkg_name %{name}}

%define maven_version 25.0.0.redhat-1

Name:           %{?scl_prefix}guava-libraries
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Guava Libraries
Group:          Development/Java

%if %with mead
Source100: guava-parent-25.0.0.redhat-1-scm-sources.zip
Source102: guava-parent-25.0.0.redhat-1.pom
Source103: guava-parent-25.0.0.redhat-1-javadoc.jar
Source104: guava-parent-25.0.0.redhat-1-project-sources.tar.gz
Source105: guava-25.0.0.redhat-1.pom
Source106: guava-25.0.0.redhat-1.jar
Source107: guava-25.0.0.redhat-1-javadoc.jar
Source108: guava-25.0.0.redhat-1-sources.jar
Source109: guava-testlib-25.0.0.redhat-1.pom
Source110: guava-testlib-25.0.0.redhat-1-sources.jar
Source111: guava-testlib-25.0.0.redhat-1-javadoc.jar
Source112: guava-testlib-25.0.0.redhat-1-tests.jar
Source113: guava-testlib-25.0.0.redhat-1.jar
Source114: guava-testlib-25.0.0.redhat-1-test-sources.jar
Source115: guava-tests-25.0.0.redhat-1-test-sources.jar
Source116: guava-tests-25.0.0.redhat-1-tests.jar
Source117: guava-tests-25.0.0.redhat-1.pom
Source118: guava-tests-25.0.0.redhat-1.jar
Source119: guava-gwt-25.0.0.redhat-1-javadoc.jar
Source120: guava-gwt-25.0.0.redhat-1.pom
Source121: guava-gwt-25.0.0.redhat-1-sources.jar
Source122: guava-gwt-25.0.0.redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://code.google.com/p/guava-libraries
Requires:       %{?scl_prefix}guava = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n %{?scl_prefix}guava
Summary:        Guava: Google Core Libraries for Java
Group:          Development/Java


%description -n %{?scl_prefix}guava
Guava is a suite of core and expanded libraries that include utility
classes, google's collections, io classes, and much much more. Guava
has only one code dependency - javax.annotation, per the JSR-305 spec.

%package -n %{?scl_prefix}guava-gwt
Summary:        Guava GWT compatible libs
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jsr305 >= 0:1.3.9
Requires:       %{?scl_prefix_eap}guava = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}guava-gwt
Guava is a suite of core and expanded libraries that include utility
classes, google's collections, io classes, and much much more. This
project includes GWT-friendly sources.

%package -n %{?scl_prefix}guava-testlib
Summary:        Guava Testing Library
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jsr305 >= 0:1.3.9
Requires:       %{?scl_prefix_eap}guava = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}junit >= 0:4.8.2
Requires:       %{?scl_prefix_eap}truth >= 0:0.23

%description -n %{?scl_prefix}guava-testlib
Guava testlib is a set of java classes used for more convenient unit
testing - particularly to assist the tests for Guava itself.

%package -n %{?scl_prefix}guava-tests
Summary:        Guava Unit Tests
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jsr305 >= 0:1.3.9
Requires:       %{?scl_prefix_eap}junit >= 0:4.8.2
Requires:       %{?scl_prefix_eap}easymock >= 0:3.0
Requires:       %{?scl_prefix_eap}mockito-core >= 0:1.8.5
Requires:       %{?scl_prefix_eap}truth >= 0:0.23
Requires:       %{?scl_prefix_eap}caliper >= 0:0.5

%description -n %{?scl_prefix}guava-tests
The unit tests for the Guava libraries - separated into a separate
artifact to allow for the testlibs to depend on guava itself.

%if %with javadoc
%package javadoc
Summary:        Javadoc for guava
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n guava-libraries -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/guava-%{namedversion}.jar %{buildroot}%{_javadir}/guava-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/guava-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/guava-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/guava-gwt-%{namedversion}.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/guava-gwt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/guava-gwt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/guava-testlib-%{namedversion}.jar %{buildroot}%{_javadir}/guava-testlib-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/guava-testlib-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-testlib-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/guava-testlib-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-testlib-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/guava-tests-%{namedversion}.jar %{buildroot}%{_javadir}/guava-tests-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/guava-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/guava-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/guava-%{namedversion} -x META-INF/\*
%{__ln_s} guava-%{namedversion} %{buildroot}%{_javadocdir}/guava
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}guava-libraries
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}guava
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md CONTRIBUTORS COPYING README.md
%{_javadir}/guava-%{namedversion}.jar
%{_javadir}/guava.jar
%if %with javadoc
%{_javadir}/guava-%{namedversion}-javadoc.jar
%{_javadir}/guava-javadoc.jar
%endif
%{_javadir}/guava-%{namedversion}-sources.jar
%{_javadir}/guava-sources.jar

%files -n %{?scl_prefix}guava-gwt
%defattr(0644,root,root,0755)
%{_javadir}/guava-gwt-%{namedversion}.jar
%{_javadir}/guava-gwt.jar
%if %with javadoc
%{_javadir}/guava-gwt-%{namedversion}-javadoc.jar
%{_javadir}/guava-gwt-javadoc.jar
%endif
%{_javadir}/guava-gwt-%{namedversion}-sources.jar
%{_javadir}/guava-gwt-sources.jar

%files -n %{?scl_prefix}guava-testlib
%defattr(0644,root,root,0755)
%{_javadir}/guava-testlib-%{namedversion}.jar
%{_javadir}/guava-testlib.jar
%if %with javadoc
%{_javadir}/guava-testlib-%{namedversion}-javadoc.jar
%{_javadir}/guava-testlib-javadoc.jar
%endif
%{_javadir}/guava-testlib-%{namedversion}-sources.jar
%{_javadir}/guava-testlib-sources.jar

%files -n %{?scl_prefix}guava-tests
%defattr(0644,root,root,0755)
%{_javadir}/guava-tests-%{namedversion}.jar
%{_javadir}/guava-tests.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/guava-%{namedversion}
%{_javadocdir}/guava
%endif

%changelog
* Wed Jul 11 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 25.0.0-1.redhat_1.1
- upgrade to 25.0.0.redhat-1

* Mon Jun 26 2017 Petr Sakar <psakar@redhat.com> - 11.0.2-1.redhat_1.1
- upgrade to 11.0.2.redhat-1

* Mon Feb 06 2017 David Walluck <dwalluck@redhat.com> - 20.0.0-1.redhat_1.1
- fix RPM doc

* Fri Feb 03 2017 Petr Sakar <psakar@redhat.com> - 20.0.0-1.redhat_1.1
- upgrade to 20.0.0.redhat-1

* Thu Aug 06 2015 David Walluck <dwalluck@redhat.com> - 18.0.0-1.redhat_1.1
- release

